#ifndef COMMON_H
#define COMMON_H
#include <stdlib.h>

#ifdef _MAC_
#include <OpenGL/gl.h>
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif

#include <cstdlib> //for random
#include <ctime> //to seed random
#include <stdio.h>
#include <vector>
#include <math.h>
#include <malloc.h>
#include <memory.h> 
#define max(x,y) ((x<y)?y:x)  
#define min(x,y) ((x>y)?y:x)
#define E 2.71828183
#define PI 3.14159265

void DrawScaledBox(double scaleX,double scaleY,double scaleZ);
void DrawAxes(int length);	//debug function that just draws axes in current coord frame
void DrawTexturedBox(double scaleX,double scaleY,double scaleZ);
void DrawArrow(double * arrow,double * startPt,int lineLength,double rColor,double gColor,double bColor);
int signOf(double val);
double absD(double val);
double sqr(double v);
double myRandom(double start,double end);

static unsigned int score = 0;


#endif

