#ifndef FACE_CPP
#define FACE_CPP
#include "common.h"
#include "geometry.cpp"
#define MAX_VERT 4
class Face	
/*

	Responsible for storing pointers to vertices
*/
{
public:
	Vertex * vertices[MAX_VERT];
	int numVertices;
	Arrow normal;
	unsigned char faceColor[3];
	Face()
	{
		faceColor[0] = 230;
		faceColor[1] = 230;
		faceColor[2] = 230;
		numVertices =0;
	}
	void addVertex(Vertex * v)
	{
		vertices[numVertices] = v;
		numVertices++;
	}
	Vertex * getVertex(int index)
	{
		return vertices[index];	
	}
	void clearVertices()
	{	
		numVertices =0;
	}
	void calculateColor()
	{
	
	}
	void calculateNormal()
	{
		Arrow a1 = vertices[0]->sub(vertices[1]);
		Arrow a2 = vertices[2]->sub(vertices[1]);
		normal = a1.cross(a2);

		double startX =0;
		double startY=0;
		double startZ =0;
		for(int i =0;i < numVertices;i++)
		{ 
			startX += vertices[i]->getX();
			startY += vertices[i]->getY();
			startZ += vertices[i]->getZ();
		}
		startX /= numVertices;
		startY /= numVertices;
		startZ /= numVertices;
		Vertex startPt(startX,startY,startZ);
		normal.setLength(1);
	}
	~Face()
	{
	
	}
/*	bool rayTriangleIntersection(Vertex *start, Arrow *dir,double * distance) 
	{
		Vertex * planeOrigin = vertices[0];	
		double d = - normal.dot(planeOrigin);
			
		double numer = normal.dot(start) + d;
		double denom = normal.dot(dir);
			
		if (denom == 0)  // normal is orthogonal to vector, cant intersect
		return false;
		double tempDist  = -(numer / denom);
		if(tempDist < 0)
			return false;
		* distance = 	tempDist;
		return true;
	}*/
};
#endif



