#include "missilemanager.h"

MissileManager::MissileManager(CollisionManager* cm)
{
	fire = new Fire(true);
	for(int i = 0; i < NUM_MISSLES; i++)
	{
		missles[i].init(cm, fire);
	}
}

MissileManager::~MissileManager()
{

}

void MissileManager::launch(Vertex* start, Arrow* velocity, double speed,Object * parent)
{
	for(int i = 0; i < NUM_MISSLES; i++)
	{
//		if(!missles[i].isLaunched && !missles[i].isExploding)
		if(missles[i].state == MISSLE_RESET)
		{
			missles[i].launch(start, velocity, speed,parent);
			break;
		}
	}
}

void MissileManager::drawMissiles()
{
	for(int i = 0; i < NUM_MISSLES; i++)
	{
		missles[i].draw();
	}
	fire->update();
}
