#ifndef MISSILEMANAGER
#define MISSILEMANAGER

#include "common.h"
#include "missle.h"
#include "fire.h"

#define NUM_MISSLES 100

class MissileManager
{
public:
	Missle missles[NUM_MISSLES];

	MissileManager(CollisionManager* cm);
	~MissileManager();
	
	void launch(Vertex* start, Arrow* velocity, double speed,Object * parent);
	
	void drawMissiles();
	
	Fire* fire;
};

#endif
