#ifndef SMOKE
#define SMOKE

#include "common.h"
#include "geometry.cpp"
#include "perlin2d.h"
#include "texture.h"
#include "blobtex.h"
#include <cstdlib>
#include "fire.h" //for blob and NUM_BLOBS

#define NUM_SMOKES 200

class Smoke
{
public:
	Smoke(bool points = false);
	~Smoke();
	void draw();
	void update();
	void reset();
	
private:
	bool points;
	BlobTexture* texture;
	PerlinNoise2D noise;
	Blob blobs[NUM_SMOKES];
	void newBlob(int i);
	
	//GLuint lightlist;
};

#endif
