#ifndef WALL
#define WALL

#include "common.h"
#include "terrain.cpp"
#include "corner.cpp"
#include "custombox.cpp"

#define SEGLENGTH 1000
#define WALLHEIGHT 5000
#define WALLWIDTH 150

extern TEXTURE wallTex;

class Wall
{
public:
	Wall(Terrain* terrain);
	~Wall();
	void draw();

private:
	Terrain* terrain;
	GLuint dlist;
};

#endif
