#ifndef CLOUDS
#define CLOUDS

#include "common.h"
#include "perlin2d.h"
#include <cmath>
#include "mytime.h"
#include "terrain.cpp" //for RIGHT, FAR

class Clouds
{
public:
	Clouds() {}
	~Clouds();
	void init();
	void draw();

private:
	char clouds[256][256][4];
	GLuint texname;
	GLuint dlist;
	GLUquadricObj* sphere;
	float step;
	MyTime timer;
};

#endif
