#ifndef COCKPIT
#define COCKPIT
#include "common.h"
#include "geometry.cpp"
#include "face.cpp"
#include "corner.cpp"
#include "texture.h"
#include "custombox.cpp"
#include "object.cpp"

class Cockpit
{
public:
	double turretHorzAngle; //ranges from -90 to 90
	double turretVertAngle; //ranges from 0 to -90
	bool enemyInTarget;
	double thickness;
	CustomBox panel;	
	Cockpit();
	~Cockpit();
	void init(Object* hero);
	void drawPanel();	
	void draw();
	void drawNormals();
	void drawTurret();
	void drawArms();
	
	GLUquadricObj* panelquad;
	GLUquadricObj* diskquad;
	
	Object* hero; //for getting speed and health
};

#endif
