#ifndef COLLISION_MANAGER_H
#define COLLISION_MANAGER_H
#include "common.h"
#include "object.cpp"
#include "terrain.cpp"

class CollisionManager
{
public:
	std::vector<Object *> collisionList;
	Terrain * terrain;

	CollisionManager(void);
	~CollisionManager(void);
	CollisionManager(Terrain * terrain);
	void RunCollisionsCheck(Object * thisObj);
	bool rayToSphereIntersect(Vertex * start, Arrow * dir, Vertex * sphereCenter, double radius,double * distance);
	bool findObjectHit(Vertex start, Arrow dir,Vertex * resPoint,Object * * resObj,Object * askingObj);

};
#endif



