#ifndef KANGAROO_HEAD
#define KANGAROO_HEAD

#include "common.h"

#include "mycube.h"

class KHead
{
public:

	KHead();
	void draw(bool smooth);
	void toggle(bool smoothly);
	void pushEarBack(float howFar); //howFar is between 0 and 1

private:
	void drawEye();
	void drawSmile();
	void drawEar();
	float ear_angle;

	bool animating;
	int head_pos; // 0 for left, 1 for middle, 2 right
	bool moving_from_left;
	const static float max_swivel = 45.0;
	const static float min_swivel = -45.0;
	float angle;
	float delta;
	int counter;
};

#endif
