#ifndef KANGAROO_LEG
#define KANGAROO_LEG

#include "common.h"

#include "mycube.h"

class KLeg
{
public:

	KLeg();
	void draw(bool smooth);
	void toggle(bool smoothly);
	bool isRaised();

private:
	bool animating;
	const static float max_leg_angle = 20.0;
	const static float min_leg_angle = 0.0;
	float delta;
	int counter;
	float angle;
};

#endif
