#ifndef KANGAROO_TAIL
#define KANGAROO_TAIL

#include "common.h"
#include "mycube.h"

class KTail
{
public:
	
	KTail();
	void draw(bool smoothly);
	void toggle(bool smoothly);
	void setAngle(float angle); //angle between -1 and 1
	bool atNormalPosition();

private:
	
	bool animate_tail;
	bool tail_at_top;
	const static float max_curl = 40.0;
	const static float min_curl = 9.0;
	float tail_curl;
	float delta;
};

#endif
