#ifndef MISSLE_H
#define MISSLE_H
#include "common.h"
#include "cockpit.h"
#include "object.cpp"
#include "collisionmanager.h"
#include "explosion.h"
#include "fire.h"
#include "mytime.h"

#define MISSLE_RESET 0
#define MISSLE_LAUNCHED 1
#define MISSLE_EXPLODING 2
class Missle :
	public Object
{
public:
	//bool isLaunched;
	//bool isExploding;
	int state;
	CollisionManager * pCollisionManager;
	Explosion explosion;

	Missle(void);
	~Missle(void);
	void update();
	void startExploding();
	void init(CollisionManager * collisionManager, Fire* fire);
	void drawBody();
	void launch(Vertex * startPosition,Arrow * velocity,double startSpeed,Object * parent);
	void reset();

	GLUquadricObj* quad;
	Fire* fire;
	MyTime timer;
};
#endif


