#include "mycube.h"

//#define _ARROWS

void drawCube()
{
	glutSolidCube(1.0);
	#ifdef _ARROWS
	glPushMatrix();
		glTranslatef(0.0, 0.5, 0.0);
		glColor3f(1.0, 0.0, 0.0);
		glBegin(GL_LINES); // red up arrow
			glVertex3f(0.0, 0.0, 0.0);
			glVertex3f(0.0, 0.25, 0.0);
		glEnd();
	glPopMatrix();
	glPushMatrix();
		glTranslatef(0.0, -0.5, 0.0);
		glColor3f( 0.0, 0.0, 1.0 ); // blue down arrow
		glBegin(GL_LINES);
			glVertex3f(0.0,0.0,0.0);
			glVertex3f(0.0,-0.25,0.0);
		glEnd();
	glPopMatrix();
	glPushMatrix();
		glTranslatef(0.5, 0.0, 0.0);
		glColor3f(0.0,1.0,0.0);
		glBegin(GL_LINES); // green +ve x axis arrow
			glVertex3f(0.0,0.0,0.0);
			glVertex3f(0.25,0.0,0.0);
		glEnd();
	glPopMatrix();
	#endif
}

void drawScaleCube(float x, float y, float z)
{
	glPushMatrix();
		glColor3f(0.375,0.215,0.045); // sorta brown-ish
		glScalef(x, y, z);
		drawCube();
	glPopMatrix();
}

void drawScaleCubeWithColour(float x, float y, float z,
							 float r, float g, float b)
{
	glPushMatrix();
		glColor3f(r, g, b);
		glScalef(x, y, z);
		drawCube();
	glPopMatrix();
}
