#ifndef PERLIN_NOISE2D
#define PERLIN_NOISE2D

#include <cstdlib> //for random()
#include <utility> //for pair
#include <cmath> //for sqrt

class PerlinNoise2D
{
public:
	float** noise;
	
	PerlinNoise2D(int size = 256, int freq = 8);
	~PerlinNoise2D();
	
	float* operator[](const int inx) const;
	
private:
	int size;
	int freq;
	int sf;
	long rnd_x,rnd_y;
	float prng(int x, int y, int rnd);
	void genNoise();
};

#endif
