// Texture Class    by Alan Baylis 2001

#ifndef TextureH
#define TextureH

class TEXTURE
{
public:
	TEXTURE();
  	~TEXTURE();
	char error[512];
	bool LoadTGA(); 
        bool LoadTGA(GLenum MagFilter, GLenum MinFilter, GLenum WrapS, GLenum WrapT, bool MipMap);

  	char TexName[256];
    	GLubyte* ImageData;                                                     // Image Data (Up To 32 Bits)
    	GLuint  Bpp;                                                            // Image Color Depth In Bits Per Pixel
    	GLuint  Width;                                                          // Image Width
    	GLuint  Height;                                                         // Image Height
    	GLuint  TexID;                                                          // Texture ID Used To Select A Texture
};

#endif

