#ifndef TREE_H
#define TREE_H

#include "common.h"
#include "geometry.cpp"
#include "object.cpp"
#include "terrain.cpp"
#include "fire.h"
#include "smoke.h"

class Tree : public Object
{
public:
	Terrain * terrain;
	GLUquadric* treeQuadric;
	Arrow startNormal;
	double startAngle;
	double height;
	double width;
	int children;
	int thisDL;
	Tree(void);
	~Tree(void);
	void init(Vertex * startPos,Terrain * terrain);
	void drawBody();
	void drawBranch(double width,double height, int children);

	Fire fire;
	Smoke smoke;
};
#endif

